import MCF_DefinedObject from '../definedObject'

const fileFields = {
  name:      { TYPE: 'string', required: true },
  extension: { TYPE: 'string' },
  mimeType:  { TYPE: 'string' },
  content:   { TYPE: 'string', defaultValue: '' },
}

export default class MCF_File extends MCF_DefinedObject {
  constructor(definition) {
    super({
      fields: { ...fileFields, ...definition.fields },
      values: definition.values ? definition.values : definition,
    })
  }
}
