export default class MCF_BaseType {
  constructor(definition) {
    this.definition = definition
    this.validations = {}

  }

  setValue(value) {
    this.validate(value)
    this.value = value
  }

  getValue() {
    return this.value
  }

  validate(value) {
    for (const validation in this.validations) {
      this.validations[validation](value, this.definition)
    }
  }
}
